{% load tailwind_tags %}
<!DOCTYPE html>
<html>
<head>
    {% tailwind_css %}
    <meta charset='utf-8'>
    <meta http-equiv='X-UA-Compatible' content='IE=edge'>
    <title>Blog</title>
    <meta name='viewport' content='width=device-width, initial-scale=1'>
    <link rel='stylesheet' type='text/css' media='screen' href='main.css'>
    <script src='main.js'></script>
</head>
<body>
    <h1 class="text-3xl font-extrabold tracking-tight text-gray-900 sm:text-5xl">Welcome {{name}} {{last_name}} to our blog</h1>
    </br>
    <h3 class="text-3xl font-extrabold tracking-tight text-gray-900 sm:text-4xl">These are the available articles</h3>
    </br>
    <hr>
    <hr>
    <dl class="mt-10 grid grid-cols-1 gap-x-6 gap-y-10 sm:grid-cols-2 sm:gap-y-16 lg:gap-x-8">
        {% for article in articles %}   
            <div class="border-t border-gray-200 pt-4">
                <dt class="font-extrabold text-gray-900">
                    {{ article.name}} || {{ article.summary}}
                    <dd lass="mt-2 text-sm text-gray-500">
                        {{ article.content}}
                    </dd>
                </dt>
            </div>
        {% endfor %}
    </dl>

    <div class="mt-10">
        <h3 class="text-sm font-extrabold text-gray-900">Categories</h3>

        <div class="mt-4">
            <ul role="list" class="pl-4 list-disc text-sm space-y-2">
                {% for category in categories %}
                    <li class="text-red-500">
                        <span class="text-sky-600">
                            {{ category.name}}
                        </span>
                    </li>
                {% endfor %}
            </ul>
        </div>
      </div>
</body>
</html>